FROM python:3.9.3

WORKDIR /app

COPY app.py ./app.py
COPY data.json ./data.json
COPY requirements.txt ./requirements.txt

RUN pip3 install -r requirements.txt

# swap health-check endpoint to be where GCP looks for it by default
# RUN find /usr/local/lib/python3.9/site-packages/streamlit -type f \( -iname \*.py -o -iname \*.js \) -print0 | xargs -0 sed -i 's/healthz/health-check/g'

